"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JoinWithManySeparators = void 0;
var JoinWithManySeparators = /** @class */ (function () {
    function JoinWithManySeparators(separators) {
        this._separators = separators;
    }
    JoinWithManySeparators.join = function (arr, separators) {
        return new JoinWithManySeparators(separators)._join(arr);
    };
    JoinWithManySeparators.prototype._join = function (arr) {
        var _this = this;
        return arr.reduce(function (joinedStr, currentStr, currentIndex, strArr) {
            var separator = currentIndex === strArr.length - 1 ? '' : _this._get(currentIndex);
            return joinedStr + currentStr + separator;
        }, '');
    };
    JoinWithManySeparators.prototype._get = function (index) {
        if (this._separators[index])
            return this._separators[index];
        return this._separators.length > 0 ? this._separators[this._separators.length - 1] : ',';
    };
    return JoinWithManySeparators;
}());
exports.JoinWithManySeparators = JoinWithManySeparators;
