"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MRoot = void 0;
var helpers_1 = require("../../../helpers");
var errors_1 = require("../../../errors");
var MRoot = /** @class */ (function () {
    function MRoot(mathElement) {
        this._mathmlElement = mathElement;
    }
    MRoot.prototype.convert = function () {
        var _a = this._mathmlElement, name = _a.name, children = _a.children;
        var childrenLength = children.length;
        if (childrenLength !== 2)
            throw new errors_1.InvalidNumberOfChildrenError(name, 2, childrenLength);
        var content = helpers_1.mathMLElementToLaTeXConverter(children[0]).convert();
        var rootIndex = helpers_1.mathMLElementToLaTeXConverter(children[1]).convert();
        return "\\sqrt[" + rootIndex + "]{" + content + "}";
    };
    return MRoot;
}());
exports.MRoot = MRoot;
