"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MUnderover = void 0;
var helpers_1 = require("../../../helpers");
var errors_1 = require("../../../errors");
var MUnderover = /** @class */ (function () {
    function MUnderover(mathElement) {
        this._mathmlElement = mathElement;
    }
    MUnderover.prototype.convert = function () {
        var _a = this._mathmlElement, name = _a.name, children = _a.children;
        var childrenLength = children.length;
        if (childrenLength !== 3)
            throw new errors_1.InvalidNumberOfChildrenError(name, 3, childrenLength);
        var base = helpers_1.mathMLElementToLaTeXConverter(children[0]).convert();
        var underContent = helpers_1.mathMLElementToLaTeXConverter(children[1]).convert();
        var overContent = helpers_1.mathMLElementToLaTeXConverter(children[2]).convert();
        return base + "_{" + underContent + "}^{" + overContent + "}";
    };
    return MUnderover;
}());
exports.MUnderover = MUnderover;
